Shopify-CLIのバージョン上げようとするとエラーが出ます。エラーを表示させずにバージョンを上げる方法を教えてください。

解決済
echizenyayota
観光客
9 1 0

下記の質問についてご存知の方がいらっしゃいましたらご教示を願います。

【質問の主旨】

公式ドキュメントの内容に基づいて、Shopify-CLI をアップグレードしようとすると下記のエラーが表示されます。

$ brew upgrade shopify-cli
Updating Homebrew...
==> Auto-updated Homebrew!
Updated 2 taps (homebrew/core and homebrew/cask).
==> New Formulae
git-credential-libsecret
==> Updated Casks
Updated 12 casks.

Error: No available formula or cask with the name "shopify-cli".

このエラーを表示させずに、Shopify-CLIのバージョンを上げるためにはどうすればよいでしょうか?

【質問の補足】

1. 現在のShopify-CLIのバージョン

自分が現在使用しているShopify-CLIのバージョンは2.3.0で、2.5.0にアップグレードさせたいと考えています。

2. Homebrewについて

$ brew update

Shopify-CLIのバージョンを上げる前に、すでに上記のコマンドを実行しています。

3. パートナーアカウントにログイン済み

$ shopify whoami
Logged into store PARTNER.myshopify.com in partner organization MYNAME

Shopify-CLIをインストールしているmacOSは、上記の通りすでにShopifyパートナーアカウントにログインしている状態です。

 

4. エラーの文言の検索結果について

"Error: No available formula or cask with the name "shopify-cli"." というエラーの文言でGoogle検索をしてみましたが、
この質問を解決できそうなブログ記事やドキュメントなどが見当たりません。

 

---

以上、よろしくお願いします。

0 件の「いいね!」
echizenyayota
観光客
9 1 0

成功

$ brew update
$ brew upgrade shopify-cli

の代わりに、

$ gem update shopify-cli

を実行すると、Shopify-CLI のバージョンを上げることができました(参考リンク)

0 件の「いいね!」